@import url('https://fonts.googleapis.com/css2?family=Poppins');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins',sans-serif;
}

body{
    min-height: 100vh;
    align-items: center;
    justify-content: center;
    background: rgb(0, 0, 0);
}

.container{
    position: relative;
    max-width: 90%;
    width: 100%;
    border-radius: 6px;
    padding: 30px;
    margin: 50px auto;
    background-color: rgb(236, 236, 52);
}

.container header{
    position: relative;
    font-size:30px;
    font-weight: 600;
    color: rgb(0, 0, 0);
}

.container header::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    height: 6px;
    width: 60px;
    border-radius: 8px;
    background-color: rgb(196, 41, 41);
}

.container form{
    position: relative;
    min-height: 490px;
    margin-top: 16px;
    background-color: rgb(236, 236, 52);
}

.container form .details{
    margin-top: 30px;
}

.container form .details p{
    margin-top: 10px;
    margin-bottom: 10px;
    color: rgb(196, 41, 41);
}


.container form .details.DF{
    margin-top: 20px;
}

.container form .title{
    
    display: block;
    margin-bottom: 8px;
    font-size: 16px;
    font-weight: 500;
    margin: 6px 0;
    color: #333;
}

.container form .campos{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

form .campos .input-campos{
    display: flex;
    width: calc(100%/3 - 15px);
    flex-direction: column;
    margin: 4px 0;
}

.input-campos label{
    font-size: 12px;
    font-weight: 500;
    color: #333;
}

.input-campos input{
    outline: none;
    font-size: 14px;
    font-weight: 400;
    color: #333;
    border-radius: 5px;
    border: 1px solid #aaa;
    padding: 0 15px;
    height: 42px;
    margin: 8px 0;
}

.input-campos select{
    outline: none;
    font-size: 14px;
    font-weight: 400;
    color: #333;
    border-radius: 5px;
    border: 1px solid #aaa;
    padding: 0 15px;
    height: 42px;
    margin: 8px 0;
}

.input-campos input:is(:focus, :valid), 
.input-campos select:is(:focus, :valid){
    box-shadow: 0 3px 6px rgb(196, 41, 41);
}


button{
    font-family: 'Poppins';
    border-radius: 6px;
    height: 55px;
    width: 30%;
    display: block;
    padding: 0.5rem 1rem;
    width: 200px;
    margin: 0 auto;
    background: rgb(196, 41, 41);
    color:#fff;
    font-size: 20px;
    margin-top: 50px;
    cursor: pointer;
}

/*Footer*/
.pie-pagina{
    width: 100%;
    background-color: rgb(196, 41, 41);

}

.pie-pagina .grupo-1{
    width: 100%;
    max-width: 1200px;
    margin: auto;
    display: grid;
    grid-column: 50px;
    grid-template-columns: repeat(3, 1fr);
    padding: 55px 0px;
}

.pie-pagina .grupo-1 .box figure{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
}

.pie-pagina .grupo-1 .box figure img{
    width: 250px;
}

.pie-pagina .grupo-1 .box h2{
    color: rgb(236, 236, 52);
    margin-bottom: 25px;
    font-size: 20px;
}

.pie-pagina .grupo-1 .box p{
    color:#efefef;
    margin-bottom: 10px;
}

.pie-pagina .grupo-1 .red-social a{
    display: inline-block;
    text-decoration: none;
    width: 45px;
    height: 45px;
    line-height: 45px;
    color: rgb(236, 236, 52);
    margin-right:10px;
    background-color: rgb(138, 62, 62);
    text-align: center;
    transition: all 300ms ease;
}

.pie-pagina .grupo-1 .red-social a:hover{
    color: #000;
}

.pie-pagina .grupo-2{
    background-color: rgb(196, 41, 41);
    padding: 15px 10px;
    text-align: center;
    color: #fff;
}

.pie-pagina .grupo-2 a{
    text-decoration: none;
    color: rgb(236, 236, 52);
    transition: all 300ms ease;
}

.pie-pagina .grupo-2 a:hover{
    color: #000;
}

.pie-pagina .grupo-2 small{
    font-size: 15px;
}


/*Responsive*/
@media(max-width: 750px) {
    .container form{
        overflow-y: scroll;
    }
    .container form::-webkit-scrollbar{
        display: none;
    }
    form .campos .input-campos{
        width: calc(100%/2 - 15px);
    }
    .pie-pagina .grupo-1{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
        grid-column: 30px;
        padding: 35px 0px;
    }
    
}

@media(max-width: 550px) {
    form .campos .input-campos{
        width: 100%;
    }
}